package com.fxy.putIn.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 *
 */
public class TakePhotosBean implements Parcelable {

    private String id = "";//
    public String local_path = "";//本地文件路径
    public String oss_url ="";//OSS文件路径
    public String scan_date = ""; //基数扫描时间
    public int push_status = 0; //状态 0 -未推送 1 - 推送失败;  2 - 推送成功



    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id);
        dest.writeString(this.local_path);
        dest.writeString(this.oss_url);
        dest.writeString(this.scan_date);
        dest.writeInt(this.push_status);
    }

    public TakePhotosBean() {
    }

    protected TakePhotosBean(Parcel in) {
        this.id = in.readString();
        this.local_path = in.readString();
        this.oss_url = in.readString();
        this.scan_date = in.readString();
        this.push_status = in.readInt();
    }

    public static final Creator<TakePhotosBean> CREATOR = new Creator<TakePhotosBean>() {
        @Override
        public TakePhotosBean createFromParcel(Parcel source) {
            return new TakePhotosBean(source);
        }

        @Override
        public TakePhotosBean[] newArray(int size) {
            return new TakePhotosBean[size];
        }
    };

    public String getId(){
        return this.id;
    }
    public String getLocalPath(){
        return this.local_path;
    }

    public String getOssUrl(){
        return this.oss_url;
    }
    public String getScanDate(){
        return this.scan_date;
    }
    public int getPushStatus(){
        return this.push_status;
    }
}
